%define upstream_name    Config-Model-Itself
%define upstream_version 2.023

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Edit and validate configuration models
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Cmd::Tester)
BuildRequires: perl(App::Cme) >= 1.2.0
BuildRequires: perl(App::Cme::Common)
BuildRequires: perl(Carp)
BuildRequires: perl(Config::Model) >= 2.142.0
BuildRequires: perl(Config::Model::Tester::Setup)
BuildRequires: perl(Config::Model::TkUI) >= 1.370.0
BuildRequires: perl(Config::Model::Value)
BuildRequires: perl(Data::Compare)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::File)
BuildRequires: perl(Log::Log4perl) >= 1.110.0
BuildRequires: perl(Module::Build) >= 0.340.0
BuildRequires: perl(Mouse)
BuildRequires: perl(Mouse::Util::TypeConstraints)
BuildRequires: perl(Path::Tiny) >= 0.62.0
BuildRequires: perl(Pod::POM)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::File::Contents)
BuildRequires: perl(Test::Memory::Cycle)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.0.0
BuildRequires: perl(Text::Diff)
BuildRequires: perl(Tk)
BuildRequires: perl(YAML::XS)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The Config::Itself and its model files provide a model of Config:Model
(hence the Itself name).

Let's step back a little to explain. Any configuration data is, in essence,
structured data. This data could be stored in an XML file. A configuration
model is a way to describe the structure and relation of all items of a
configuration data set.

This configuration model is also expressed as structured data. This
structure data is structured and follow a set of rules which are described
for humans in the Config::Model manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
# skip tests, require a virtual frame buffer
#xvfb-run -n 14 ./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/Config
%{perl_vendorlib}/App/Cme/Command/meta.pm

%changelog
* Wed Mar 30 2022 umeabot <umeabot> 2.23.0-2.mga9
+ Revision: 1834850
- Mageia 9 Mass Rebuild

* Mon Jan 10 2022 tv <tv> 2.23.0-1.mga9
+ Revision: 1767724
- update to 2.023

* Thu Feb 25 2021 tv <tv> 2.22.0-1.mga9
+ Revision: 1691230
- update to 2.022

* Tue Feb 18 2020 umeabot <umeabot> 2.20.0-2.mga8
+ Revision: 1541838
- Mageia 8 Mass Rebuild

* Thu Jan 02 2020 tv <tv> 2.20.0-1.mga8
+ Revision: 1475556
- update to 2.020

* Sun Dec 29 2019 tv <tv> 2.19.0-1.mga8
+ Revision: 1474646
- update to 2.019

* Sun Jun 30 2019 tv <tv> 2.18.0-1.mga8
+ Revision: 1416282
- update to 2.018

* Thu Dec 20 2018 tv <tv> 2.16.0-1.mga7
+ Revision: 1343422
- update to 2.016

* Thu Sep 20 2018 umeabot <umeabot> 2.14.0-2.mga7
+ Revision: 1282402
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 2.14.0-1.mga7
+ Revision: 1253914
- update to 2.014

* Tue Jan 09 2018 shlomif <shlomif> 2.13.0-1.mga7
+ Revision: 1191824
- New version 2.013

* Mon Oct 02 2017 tv <tv> 2.12.0-2.mga7
+ Revision: 1163474
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 guillomovitch <guillomovitch> 2.12.0-1.mga7
+ Revision: 1158941
- new version 2.012

* Sat Sep 23 2017 sander85 <sander85> 2.11.0-1.mga7
+ Revision: 1158315
- update to 2.011

* Sat Jun 18 2016 pterjan <pterjan> 1.245.0-3.mga6
+ Revision: 1024302
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.245.0-2.mga6
+ Revision: 968861
- Mageia 6 Mass Rebuild

* Mon Jul 20 2015 sander85 <sander85> 1.245.0-1.mga6
+ Revision: 855682
- update to 1.245

* Sat Jul 04 2015 sander85 <sander85> 1.244.0-1.mga6
+ Revision: 850538
- update to 1.244

* Sun Oct 19 2014 umeabot <umeabot> 1.240.0-4.mga5
+ Revision: 789840
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.240.0-3.mga5
+ Revision: 740538
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.240.0-2.mga5
+ Revision: 683991
- Mageia 5 Mass Rebuild

* Fri May 23 2014 sander85 <sander85> 1.240.0-1.mga5
+ Revision: 625126
- update to 1.240

* Thu Mar 20 2014 jquelin <jquelin> 1.239.0-3.mga5
+ Revision: 606079
- perl 5.18.2 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.239.0-2.mga4
+ Revision: 533385
- Mageia 4 Mass Rebuild

* Thu Aug 29 2013 sander85 <sander85> 1.239.0-1.mga4
+ Revision: 472880
- update to 1.239

* Sun Aug 25 2013 sander85 <sander85> 1.238.0-1.mga4
+ Revision: 471744
- update to 1.238

* Mon Jun 10 2013 jquelin <jquelin> 1.237.0-1.mga4
+ Revision: 441487
- update to 1.237
- perl 5.18.0 rebuild
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.234.0-2.mga3
+ Revision: 364698
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 1.234.0-1.mga3
+ Revision: 317619
- update to 1.234

* Tue Nov 06 2012 jquelin <jquelin> 1.232.0-3.mga3
+ Revision: 314945
- perl 5.16.2 shebang rebuild

* Fri Aug 24 2012 jquelin <jquelin> 1.232.0-2.mga3
+ Revision: 283537
- perl 5.16.1 rebuild

* Wed Jul 04 2012 jquelin <jquelin> 1.232.0-1.mga3
+ Revision: 267281
- update to 1.232

* Mon Jun 18 2012 kharec <kharec> 1.231.0-1.mga3
+ Revision: 261495
- update to 1.231

* Mon Jun 04 2012 jquelin <jquelin> 1.228.0-2.mga3
+ Revision: 254196
- fix shebang with new perl 5.16 path

* Thu Dec 08 2011 kharec <kharec> 1.228.0-1.mga2
+ Revision: 179116
- update to 1.228

* Sat Nov 05 2011 kharec <kharec> 1.227.0-1.mga2
+ Revision: 163725
- update to 1.227

* Fri Oct 14 2011 jquelin <jquelin> 1.226.0-3.mga2
+ Revision: 155130
- perl 5.14.2 rebuild

* Fri Oct 14 2011 jquelin <jquelin> 1.226.0-2.mga2
+ Revision: 155127
- perl 5.14.2 rebuild

* Sun Sep 18 2011 jquelin <jquelin> 1.226.0-1.mga2
+ Revision: 144899
- remove old tarball reference
+ takashi <takashi>
- update to 1.226

* Tue Jun 21 2011 jquelin <jquelin> 1.225.0-1.mga2
+ Revision: 111413
- update to 1.225

* Sun Jun 19 2011 jquelin <jquelin> 1.224.0-2.mga2
+ Revision: 109884
- rebuild script for perl 5.14.1

* Fri Apr 08 2011 jquelin <jquelin> 1.224.0-1.mga1
+ Revision: 82227
- update to 1.224

* Thu Jan 27 2011 jquelin <jquelin> 1.222.0-1.mga1
+ Revision: 42027
- update to 1.222
- mageia rebuild
- imported package perl-Config-Model-Itself

